<?php
/**
 *
 */
class plgHikashopGlobal_cart_fee extends hikashopPlugin {
	var $multiple = true;
	var $name = 'global_cart_fee';

	var $pluginConfig = array(
		'name' => array('HIKA_NAME', 'input'),
		'price' => array('PRICE', 'input'),
		'value' => array('VALUE', 'input'),
	);

	function onAfterCartProductsLoad(&$cart) {
		$plugins = array();
		$this->listPlugins($this->name, $plugins, false, true);

		if(!count($plugins)){
			return;
		}

		foreach($plugins as $plugin){
			$this->pluginParams($plugin);

			if(isset($cart->additional['global_cart_fee_'.$plugin]))
				continue;

			$additional = new stdClass();
			if(!empty($this->plugin_params->name)){
				$key = strtoupper($this->plugin_params->name);
				if(JText::_($key)!=$key){
					$this->plugin_params->name = JText::_($key);
				}
			}
			$additional->name = $this->plugin_params->name;
			$additional->value = $this->plugin_params->value;
			if(!empty($this->plugin_params->price)){
				$additional->price_currency_id = hikashop_getCurrency();
				$additional->price_value = $this->plugin_params->price;
				$additional->price_value_with_tax = $this->plugin_params->price;
			}else{
				$additional->price_currency_id = 0;
				$additional->price_value = 0;
				$additional->price_value_with_tax = 0;
			}

			$cart->additional['global_cart_fee_'.$plugin] = $additional;
		}
	}
}